Crystal::Macros::Annotation - Crystal 1.11.2

# class Crystal::Macros::Annotation

- Crystal::Macros::Annotation
- Crystal::Macros::ASTNode

##
Overview

An annotation on top of a type or variable.

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #[](index : NumberLiteral) : ASTNode

  Returns the value of a positional argument, or NilLiteral if out of bounds.

- #[](name : SymbolLiteral | StringLiteral | MacroId) : ASTNode

  Returns the value of a named argument, or NilLiteral if the named argument isn't used on `self`.

- #args : TupleLiteral

  Returns a `TupleLiteral` representing the positional arguments on `self`.

- #name : Path

  Returns the name of this annotation.

- #named_args : NamedTupleLiteral

  Returns a `NamedTupleLiteral` representing the named arguments on `self`.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning

##
Instance Method Detail

def [](index : NumberLiteral) : ASTNode #

Returns the value of a positional argument, or NilLiteral if out of bounds.

def [](name : SymbolLiteral | StringLiteral | MacroId) : ASTNode #

Returns the value of a named argument, or NilLiteral if the named argument isn't used on `self`.

def args : TupleLiteral #

Returns a `TupleLiteral` representing the positional arguments on `self`.

def name : Path #

Returns the name of this annotation.

def named_args : NamedTupleLiteral #

Returns a `NamedTupleLiteral` representing the named arguments on `self`.